/*
 * AboutForm.java
 *
 * Copyright (C) 2005-2006 Tommi Laukkanen
 * http://www.substanceofcode.com
 *
 * Created on January 7th 2005
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.substanceofcode.carmanager.view;

import com.substanceofcode.carmanager.controller.CarManagerMIDlet;
import javax.microedition.lcdui.*;

/**
 *
 * @author Tommi Laukkanen
 */
public class AboutForm extends Form implements CommandListener {
    
    private Command m_backCommand  = new Command("Back", Command.BACK, 1);
    private CarManagerMIDlet m_midlet = null;
    
    /** Constructor */
    public AboutForm(CarManagerMIDlet midlet) {
        super(null);
        
        m_midlet = midlet;
        
        append( new StringItem("Car Manager v1.4", 
                "Copyright (C) 2005-2006 Tommi Laukkanen\n" + 
                "http://www.substanceofcode.com"));
        append( new StringItem("License", "GPL (See " + 
                "http://www.gnu.org/copyleft/gpl.html for more information)"));
        
        addCommand(m_backCommand);
        setCommandListener(this);
    }
    
    /** Handle back command */
    public void commandAction(Command c, Displayable s) {
        if( c == m_backCommand ) {
            m_midlet.showMainCanvas();
        }
    }
}
